Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Hybrid/vtkThinPlateSplineTransform.h File Reference

`#include "vtkWarpTransform.h"`

Include dependency graph for vtkThinPlateSplineTransform.h:

Go to the source code of this file.

## Compounds

class | vtkThinPlateSplineTransform
| a nonlinear warp transformation More...

## Defines

#define | VTK_RBF_CUSTOM 0
#define | VTK_RBF_R 1
#define | VTK_RBF_R2LOGR 2

## Define Documentation

#define VTK_RBF_CUSTOM 0

| Definition at line 56 of file vtkThinPlateSplineTransform.h. Referenced by vtkThinPlateSplineTransform::SetBasisFunction().

#define VTK_RBF_R 1

| Definition at line 57 of file vtkThinPlateSplineTransform.h. Referenced by vtkThinPlateSplineTransform::SetBasisToR().

#define VTK_RBF_R2LOGR 2

| Definition at line 58 of file vtkThinPlateSplineTransform.h. Referenced by vtkThinPlateSplineTransform::SetBasisToR2LogR().